package com.yidianling.im.session.action;

import com.yidianling.im.R;
import com.yidianling.nimbase.business.session.actions.BaseAction;
import com.yidianling.uikit.custom.bridge.ActionHandlerStorage;

/**
 * 客服发起收款
 * Created by Wi1ls on 2016/9/27;
 */
public class MakeCollectionsAction extends BaseAction {
    /**
     * 构造函数
     */
    public MakeCollectionsAction() {
        super(R.drawable.im_chatbar_make_money, R.string.im_input_panel_make_collections);
    }

    @Override
    public void onClick() {
        if (ActionHandlerStorage.getL(getAccount()) != null)
            ActionHandlerStorage.getL(getAccount()).makeColections(ActionHandlerStorage.getL(getAccount()).getInfo().toUid);
    }
}
